%define name		libfox1.0
%define version		1.0.51
%define release		2mdk
%define oname		fox

Summary:	The FOX C++ GUI Toolkit
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	LGPL
Group:		System/Libraries
URL:		http://www.fox-toolkit.org
Source: 	ftp://ftp.fox-toolkit.org/pub/%{oname}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	libMesaGLU-devel
BuildRequires:	libcups-devel
BuildRequires:  XFree86-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libtiff-devel
BuildRequires:  libpng-devel

%description
FOX is a C++-Based Library for Graphical User Interface Development
FOX supports modern GUI features, such as Drag-and-Drop, Tooltips, Tab
Books, Tree Lists, Icons, Multiple-Document Interfaces (MDI), timers,
idle processing, automatic GUI updating, as well as OpenGL/Mesa for
3D graphics.  Subclassing of basic FOX widgets allows for easy
extension beyond the built-in widgets by application writers.

%package devel
Summary:	FOX header files
Group:		Development/C++
Requires:	%{name} = %{version}-%{release}
Provides:	libfox-devel = %version-%release
Provides:	fox1.0-devel = %version-%release
Requires:	libMesaGLU-devel
Requires:       libcups-devel
Requires: 	XFree86-devel
Requires:  	libjpeg-devel
Requires:  	libtiff-devel
Requires:  	libpng-devel
Conflicts:	libfox-devel > %version

%description devel
FOX is a C++-Based Library for Graphical User Interface Development
FOX supports modern GUI features, such as Drag-and-Drop, Tooltips, Tab
Books, Tree Lists, Icons, Multiple-Document Interfaces (MDI), timers,
idle processing, automatic GUI updating, as well as OpenGL/Mesa for
3D graphics.  Subclassing of basic FOX widgets allows for easy
extension beyond the built-in widgets by application writers.

This package contains the necessary files to develop applications
with FOX.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %oname-%version

%build

%configure --with-opengl=mesa --enable-cups

%make GL_LIBS="-lGL -lGLU"

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
rm -f %buildroot/%_bindir/PathFinder
rm -f %buildroot/%_bindir/adie
rm -f %buildroot/%_bindir/calculator
rm -rf %buildroot/%_prefix/fox
rm -f %buildroot/%_mandir/man1/PathFinder.1*
rm -f %buildroot/%_mandir/man1/adie.1*
rm -f %buildroot/%_mandir/man1/calculator.1*

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS LICENSE README
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%doc doc ADDITIONS INSTALL TRACING
%doc %{_mandir}/man1/reswrap*
%{_bindir}/reswrap
%dir %{_includedir}/fox
%{_includedir}/fox/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la

%changelog
* Tue Jun 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0.51-2mdk
- rebuild for new g++

* Fri Mar  5 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0.51-1mdk
- new version

* Mon Nov 24 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.0.42-3mdk
- fix devel provides

* Wed Jul  9 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.0.42-2mdk
- rebuild for new rpm

* Tue Jun 24 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.0.42-1mdk
- new version

* Tue May  6 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.0.40-1mdk
- new version

* Mon Apr 28 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.0.36-1mdk
- add a conflict with the other libfox-devel package
- new version

* Wed Mar 12 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.0.34-4mdk
- fix buildrequires and deps of the devel package

* Wed Mar 12 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.0.34-3mdk
- fix buildrequires

* Fri Feb 28 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.0.34-2mdk
- add source url
- rebuild to fix missing source package

* Wed Feb 26 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.0.34-1mdk
- new version

* Thu Feb 20 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.0.32-1mdk
- new version

* Fri Jan 31 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.0.31-1mdk
- new version

* Thu Jan 16 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.0.30-2mdk
- rebuild against new ssl

* Fri Jan 10 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.0.30-1mdk
- new version

* Fri Dec 27 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.0.29-1mdk
- clean unpackaged files
- new version

* Wed Oct  9 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.0.26-1mdk
- fix requires
- move devel docs to devel package
- remove the example apps
- stable fox version back for compatibility
- 1.0.26

* Thu Aug 15 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.0.17-2mdk
- misc spec fixes
- fix major version
- drop the "requires fox" line preventing the installation of libfox

* Fri Jul 26 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.17-1mdk
- 1.0.17

* Thu Jul 18 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.14-1mdk
- 1.0.14

* Wed Jun 19 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.11-3mdk
- remove fox subpackage
- reswrap is moved to libfox-devel

* Tue Jun 18 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.11-2mdk
- libfox requires fox (reswrap needed)

* Mon May 13 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.11-1mdk
- 1.0.11

* Tue Apr 30 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.10-1mdk
- 1.0.10

* Wed Apr 24 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.9-1mdk
- 1.0.9

* Fri Apr 12 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.7-2mdk
- fox requires libfox

* Mon Apr 08 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.7-1mdk
- 1.0.7

* Thu Mar 14 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.3-1mdk
- 1.0.3

* Thu Mar 07 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.2-1mdk
- 1.0.2

* Fri Mar 01 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.0-1mdk
- 1.0.0

* Thu Jan 10 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.99.189-1mdk
- 0.99.189

* Thu Jan 03 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.99.188-1mdk
- 0.99.188

* Thu Dec 20 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.99.187-1mdk
- 0.99.187

* Mon Dec 17 2001 Alexander Skwar <ASkwar@Linux-Mandrake.com> 0.99.185-1mdk
- 0.99.185
- BTW: 0.99.182-3mdk never made it to the mirrors

* Fri Dec 14 2001 Alexander Skwar <ASkwar@Linux-Mandrake.com> 0.99.182-3mdk
- Plain rebuild, some packages were broken

* Fri Dec 14 2001 Alexander Skwar <ASkwar@Linux-Mandrake.com> 0.99.182-2mdk
- Fix requires for libcups1

* Tue Dec 11 2001 Alexander Skwar <ASkwar@Linux-Mandrake.com> 0.99.182-1mdk
- 0.99.182

* Wed Dec  4 2001 Alexander Skwar <ASkwar@DigitalProjects.com> 0.99.181-1mdk
- 0.99.181
- Moved the example-apps from the lib package to the main package, and make
  it obsolete the old %{libname}-%{name_ex_apps_suf} package
- Changed group of example-apps to Office (was: Development/C)
- Fixed URL
- Build with CUPS support
- Add example-apps to menu
- Don't package PathFinder - it's a libtool shell script trying to do
  something, however, I don't know how to fix it...

* Wed Nov 14 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.99.179-1mdk
- 0.99.179

* Fri Nov 09 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.99.177-1mdk
- 0.99.177

* Wed Oct 17 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.99.176-1mdk
- 0.99.176

* Mon Oct 15 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.99.175-2mdk
- rebuild against new libpng

* Tue Oct 02 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.99.175-1mdk
- 0.99.175

* Mon Aug 27 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.99.174-1mdk
- 0.99.174

* Mon Jul 09 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.99.173-1mdk
- updated to 0.99.173

* Mon Mar 12 2001  Lenny Cartier <lenny@mandrakesoft.com> 0.99.164-2mdk
- fix requires

* Mon Mar 12 2001  Lenny Cartier <lenny@mandrakesoft.com> 0.99.164-1mdk
- updated to 0.99.164
- split

* Tue Dec 12 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.99.147-1mdk
- updated to 0.99.147-1mdk
- removing --enable-release fix build with gcc-2.96

* Fri Oct 13 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.99.132-1mdk
- used srpm from David Sugar <dyfet@ostel.com> :
	fix to assure -frtti is not disabled.
- add macros & bm
- added devel package

* Fri Mar 24 2000 Jos Romildo Malaquias <romildo@iceb.ufpo.b> 0.99.122-1
- new version

* Fri Mar 24 2000 Jos Romildo Malaquias <romildo@iceb.ufpo.b> 0.99.119-1
- new version

* Sun Mar 05 2000 Jos Romildo Malaquias <romildo@iceb.ufpo.b>
- some adaptations

* Tue Nov 10 1998 Ren van Paassen <M.M.vanPaassen@lr.tudelft.nl>
- initial package
